services:
    smart_core.templating.assets.stack:
        public: true
        class: SmartCoreBundle\Assets\AssetsStack
        arguments:
            - '@service_container'

    SmartCoreBundle\Manager\FlashManager:
        public: true
        arguments:
            - '@session'
            - '@translator'

    smart_core.manager.flash:
        public: true
        alias: SmartCoreBundle\Manager\FlashManager

    smart_core.twig.extension.base:
        class: SmartCoreBundle\Twig\Extension\CoreExtension
        arguments:
            - '@service_container'
            - '@router'
            - '@smart_core.templating.assets.stack'
            -
                host_env: '%env(SMART_HOST_ENV)%'
                project_url: '%env(SMART_PROJECT_URL)%'
                project_name: '%env(SMART_PROJECT_NAME)%'
                project_title: '%env(SMART_PROJECT_TITLE)%'
        tags:
            - { name: twig.extension, alias: smart_core }

    SmartCoreBundle\Command\:
        public: true
        autowire: true
        autoconfigure: true
        resource: '../../Command'
        tags:
            - { name: console.command }
